#ifndef GIFWINDOW_H
#define GIFWINDOW_H

#include <QtGui/QLabel>
#include <QtCore/QPoint>
#include <QtGui/QImageReader>
#include <QtGui/QImage>
#include <QtGui/QPixmap>

class GifMaskWidget : public QLabel
{
    Q_OBJECT

    int count;
    bool mirror;
    QPoint position;
    QRect desktopRect;
    QImage image;
    QPixmap pix;
    QImageReader imageR;

protected:
    virtual void mousePressEvent(QMouseEvent* event);
    virtual void mouseMoveEvent(QMouseEvent* event);

private slots:
    void nextGifImage();

public:
    GifMaskWidget(QWidget *parent = 0);
};

#endif // GIFWINDOW_H
